"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _rax = require("rax");

var _universalEnv = require("universal-env");

var _raxTouchable = _interopRequireDefault(require("rax-touchable"));

var _raxText = _interopRequireDefault(require("rax-text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var TimePicker =
/*#__PURE__*/
function (_Component) {
  _inherits(TimePicker, _Component);

  function TimePicker(props) {
    var _this;

    _classCallCheck(this, TimePicker);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(TimePicker).call(this, props));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "handlePress", function () {
      if (_universalEnv.isWeex) {
        var _this$props = _this.props,
            onTimeChange = _this$props.onTimeChange,
            selectedValue = _this$props.selectedValue;

        var picker = __weex_require__('@weex-module/picker');

        picker.pickTime({
          value: selectedValue
        }, function (event) {
          if (event.result === 'success') {
            onTimeChange && onTimeChange(event.data);
          }
        });
      }
    });

    return _this;
  }

  _createClass(TimePicker, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          selectedValue = _this$props2.selectedValue,
          onTimeChange = _this$props2.onTimeChange,
          style = _this$props2.style;

      var touchableStyle = _objectSpread({}, styles.initial, style);

      var textStyle = {
        color: touchableStyle.color,
        fontSize: touchableStyle.fontSize,
        fontStyle: touchableStyle.fontStyle,
        fontWeight: touchableStyle.fontWeight,
        textAlign: touchableStyle.textAlign,
        textDecoration: touchableStyle.textDecoration,
        textOverflow: touchableStyle.textOverflow,
        lineHeight: touchableStyle.lineHeight
      };

      if (_universalEnv.isWeex) {
        return (0, _rax.createElement)(_raxTouchable.default, _extends({}, this.props, {
          onPress: this.handlePress,
          style: touchableStyle
        }), (0, _rax.createElement)(_raxText.default, {
          style: textStyle
        }, selectedValue));
      } else {
        return (0, _rax.createElement)("input", {
          type: "time",
          value: selectedValue,
          onChange: function onChange(e) {
            onTimeChange && onTimeChange(e.target.value);
          },
          style: style
        });
      }
    }
  }]);

  return TimePicker;
}(_rax.Component);

_defineProperty(TimePicker, "propTypes", {});

var styles = {
  initial: {
    display: 'flex',
    justifyContent: 'center',
    flexDirection: 'row'
  }
};
var _default = TimePicker;
exports.default = _default;
module.exports = exports["default"];